Skip to main content
GET
/
external-payments
/
{external_payment_id}
Get an external payment
curl --request GET \
  --url https://payouts.api.trykarat.com/external-payments/{external_payment_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "description": "<string>",
    "date": "2023-12-25",
    "paymentMethod": "<string>",
    "platform": "<string>",
    "receiptFileName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "recipient": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com"
    }
  }
}
{
"error": {
"message": "Invalid api key"
}
}
{
"error": {
"message": "Payment intent not found"
}
}

Authorizations

Authorization
string
header
required

Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.

Path Parameters

external_payment_id
string<uuid>
required

The ID of the external payment.

Response

The external payment.

data
object